/* カラーパレットとレイアウト変数 */
:root {
  --color-primary: #ff7800;
  --color-secondary: #ffaa00;
  --color-tertiary: #7b4c00;
  --color-quaternary: #b69055;
  --color-font: #000000;
  --color-border: #d5d5d5;
  --color-alternate: #f7f5f2;
  --color-gray: #4b4b4b;
  --color-red: #ff7800;

  --container: 1266px;
  --wrapper: 900px;

  --header-pc: 88px;
  --header-sp: 66px;

  --logo-pc: 55px;
  --logo-sp: 33px;

  --gap-pc: 33px;
  --gap-sp: 22px;
  --gap-mobile: 44px;

  --menu-size: 88px;
  --menu-space: 8px;
  --menu-line: 4px;
}

html {
  font-size: 62.5%;
  width: 100%;
  height: 100%;
}

body {
  background: #fff;
  color: var(--color-font);
  font-family: "Lato", "游ゴシック体", YuGothic, "游ゴシック Medium", "Yu Gothic Medium", "游ゴシック",
    "Yu Gothic", system-ui, -apple-system, "Segoe UI", Roboto, "Helvetica Neue", "Hiragino Sans", Arial, Meiryo, sans-serif;
  font-size: 1.6rem;
  font-weight: 400;
  font-feature-settings: "palt" 1;
  font-variant-east-asian: proportional-width;
  font-synthesis: none;
  line-height: normal;
  text-size-adjust: 100%;
  -webkit-text-size-adjust: 100%;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  min-block-size: 100dvh;
  inline-size: 100%;
  overflow: visible;
  position: relative;
  color-scheme: light;
  scrollbar-gutter: stable both-edges;
  opacity: 0;
}

.google-font {
  font-family: "M PLUS Rounded 1c", sans-serif !important;
}

::selection {
  background-color: var(--color-primary);
  color: #fff;
}

a,
a:visited {
  color: inherit;
  text-decoration: none;
}

a:hover,
a:focus:not(:focus-visible) {
  text-decoration: none;
  outline: none;
}

:focus {
  outline: none;
}

li {
  list-style: none;
}

input[type="text"],
input[type="email"],
textarea {
  border-radius: 0;
  -webkit-appearance: none;
  appearance: none;
}

input[type="submit"],
input[type="button"],
button {
  border-radius: 0;
  -webkit-appearance: button;
  appearance: button;
  cursor: pointer;
  border: none;
}

input[type="search"]::-webkit-search-decoration {
  display: none;
}

.hidden {
  display: none !important;
}

p {
  font-size: 1.6rem;
  font-weight: 400;
  line-height: 1.8;
  color: var(--color-font);
}

.wp-pagenavi {
  overflow: hidden;
  position: relative;
  width: 100%;
  height: auto;
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 11px;
}

.wp-pagenavi span,
.page.larger,
.page.smaller {
  display: block;
  overflow: hidden;
  position: relative;
  width: 44px;
  height: 44px;
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 2rem;
  font-weight: 600;
  line-height: 41px;
  background-color: #fff;
  color: var(--color-quaternary);
  border: 1px solid var(--color-quaternary);
  cursor: pointer;
}

.wp-pagenavi span.current {
  background-color: var(--color-quaternary);
  color: #fff;
}

.page.larger:hover {
  background-color: var(--color-quaternary);
}

a.nextpostslink,
a.previouspostslink {
  display: block;
  overflow: hidden;
  position: relative;
  width: 44px;
  height: 44px;
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 2rem;
  font-weight: 600;
  line-height: 41px;
  color: var(--color-quaternary);
  border: 1px solid var(--color-quaternary);
  cursor: pointer;
  background-color: #fff;
}

input[type="text"],
input[type="email"],
input[type="tel"] {
  overflow: hidden;
  position: relative;
  width: 100%;
  height: auto;
  border: 1px solid var(--color-border);
  box-sizing: border-box;
  padding: 11px;
  font-size: 1.6rem;
  font-weight: 400;
  line-height: 1.5;
  border-radius: 5.5px;
}

input[type="submit"] {
  overflow: hidden;
  position: relative;
  width: 100%;
  height: 77px;
  border: 2px solid var(--color-primary);
  box-sizing: border-box;
  font-size: 2rem;
  font-weight: 700;
  line-height: 75px;
  color: #fff;
  background-color: var(--color-primary);
  cursor: pointer;
  display: block;
  margin: 55px auto 0 auto;
  transition: all 0.3s ease;
}

input[type="submit"]:hover {
  opacity: 0.82;
}

select {
  appearance: none;
  width: 100%;
  height: 48px;
  border: 1px solid var(--color-border);
  box-sizing: border-box;
  padding: 11px;
  background-color: #fff;
  font-size: 1.6rem;
  font-weight: 400;
  line-height: 1.5;
  border-radius: 5.5px;
  cursor: pointer;
}

textarea {
  overflow: hidden;
  position: relative;
  width: 100%;
  height: auto;
  border: 1px solid var(--color-border);
  box-sizing: border-box;
  padding: 11px;
  font-size: 1.6rem;
  font-weight: 400;
  line-height: 1.5;
  border-radius: 2px;
}

.wpcf7-spinner {
  display: none !important;
}

.nav-toggle {
  cursor: pointer;
  overflow: hidden;
  position: fixed;
  top: 0;
  right: 0;
  width: var(--menu-size);
  height: var(--menu-size);
  background-color: var(--color-gray);
  display: flex;
  align-items: center;
  justify-content: center;
  z-index: 100;
  transition: all 0.3s ease;
}

.nav-toggle:hover {
  opacity: 0.82;
}

.nav-toggle::after,
.nav-toggle::before {
  position: absolute;
  top: calc(50% - 1px);
  content: "";
  width: calc(var(--menu-size) / 2);
  height: var(--menu-line);
  display: block;
  background: #fff;
  border-radius: calc(var(--menu-line) / 2);
}

.nav-toggle::before {
  transform: translateY(calc(var(--menu-space) * -1));
  animation: nav-toggle-top 0.4s forwards;
}

.nav-toggle::after {
  transform: translateY(var(--menu-space));
  animation: nav-toggle-bottom 0.4s forwards;
}

.nav-toggle.active::before {
  animation: nav-toggle-top-active 0.4s forwards;
}

.nav-toggle.active::after {
  animation: nav-toggle-bottom-active 0.4s forwards;
}

.nav-toggle.load::before,
.nav-toggle.load::after {
  animation: none;
}

/* アニメーション */
@keyframes nav-toggle-top {
  0% {
    box-shadow: none;
    transform: translateY(0) rotate(45deg);
  }

  50% {
    box-shadow: none;
    transform: translateY(0) rotate(0);
  }

  100% {
    transform: translateY(calc(var(--menu-space) * -1)) rotate(0);
  }
}

@keyframes nav-toggle-top-active {
  0% {
    transform: translateY(calc(var(--menu-space) * -1)) rotate(0);
  }

  50% {
    box-shadow: none;
    transform: translateY(0) rotate(0);
    background: #fff;
  }

  100% {
    box-shadow: none;
    transform: translateY(0) rotate(45deg);
    background: #fff;
  }
}

@keyframes nav-toggle-bottom {
  0% {
    box-shadow: none;
    transform: translateY(0) rotate(-45deg);
  }

  50% {
    box-shadow: none;
    transform: translateY(0) rotate(0);
  }

  100% {
    transform: translateY(var(--menu-space)) rotate(0);
  }
}

@keyframes nav-toggle-bottom-active {
  0% {
    transform: translateY(var(--menu-space)) rotate(0);
  }

  50% {
    box-shadow: none;
    transform: translateY(0) rotate(0);
    background: #fff;
  }

  100% {
    box-shadow: none;
    transform: translateY(0) rotate(-45deg);
    background: #fff;
  }
}

ul.slick-dots {
  overflow: hidden;
  position: absolute;
  bottom: 33px;
  right: 88px;
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 22px;
}

ul.slick-dots li {
  overflow: hidden;
  position: relative;
  width: 11px;
  height: 11px;
}

ul.slick-dots li button {
  overflow: hidden;
  position: absolute;
  top: 0;
  left: 0;
  width: 11px;
  height: 11px;
  background-color: #fff;
  border-radius: 50%;
  cursor: pointer;
  text-indent: -9999px;
  transition: all 0.3s ease;
}

ul.slick-dots li.slick-active button {
  background-color: var(--color-primary);
}

@media (max-width: 768px) {
  ul.slick-dots {
    bottom: 176px;
    right: 22px;
  }
}

@keyframes fadeInUp {
  from {
    opacity: 0;
    transform: translateY(20px);
    /* ふわっと上に */
  }

  to {
    opacity: 1;
    transform: translateY(0);
  }
}

/* 初期状態（透明） */
.fadeIn {
  opacity: 0;
  transform: translateY(22px);
  transition: opacity 1s ease-out, transform 1s ease-out;
}

/* JavaScriptで.visibleクラスが追加されたら発火 */
.fadeIn.visible {
  opacity: 1;
  transform: translateY(0);
}